#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include "itecirap.h"
#include <time.h>
sleep(int wait)
{
time_t t1,t2;
time(&t1);
do time(&t2) ;
while ((t2 - t1)<wait);
}

int main()
{
	int fd,i,recflag,num;
	uioctl_t ioc;
	unsigned char sel,RXBuf[32];

	struct itecir_t {
	unsigned char Buf[32];
	unsigned char ModuFlag;
	unsigned char SyncFlag;
	unsigned char RXFreq;
	unsigned char RXRange;
	int BRate;
	unsigned char FreqApply;
	} *PIteCir;
	
	
	if ( ( fd = open ( "/dev/itecir", O_WRONLY ) ) < 0 ) {
		fprintf (stderr, " Can't open ITE CIR device!\n");
		exit ( -1 ) ;
	}
	if ((PIteCir = malloc(sizeof(struct itecir_t)))==NULL) {
		fprintf (stderr, "Not Enough Memory!\n");
		exit ( -1 );
	}
	/* set default value of Rate and Freq etc. */
	PIteCir->ModuFlag=0x0;
	PIteCir->SyncFlag=0x0;
	PIteCir->RXFreq=0xB;
	PIteCir->RXRange=0x4;
	PIteCir->BRate=0x42;
	PIteCir->FreqApply=0;
	
	/* clear Buf to be 0xFF */
	for (i=0;i<32;i++)
		PIteCir->Buf[i]=0xFF;
	
	
		printf("Try how many times?:");
		scanf("%d",&num);
		ioc.data=PIteCir;
		ioctl (fd,ITE_IOC_OPEN_RECEIVE,&ioc) ;
		
		do{
			for (i=0;i<32;i++)
				PIteCir->Buf[i] =0xFF;
			ioctl(fd,ITE_IOC_RECEIVE,&ioc);
			PIteCir=ioc.data;
			for (i=0;i<32;i++) {
				printf("%02X ",PIteCir->Buf[i]);
				if (i%32==31)	printf("\n");
			}
			num--;
			}while(num>0);
			
}
