/*
#ifndef _ITECIRIO_H_
#define _ITECIRIO_H_
*/
/* DEFINE IOCTL */
#define ITE_IOCMAGIC	't'
#define ITE_IOC_RECEIVE		_IO(ITE_IOCMAGIC,1)
#define ITE_IOC_SEND		_IO(ITE_IOCMAGIC,2)
#define ITE_IOC_OPEN_RECEIVE	_IO(ITE_IOCMAGIC,3)



unsigned int iport = 0x310;
#define DR	iport+0x0
#define IER	iport+0x1
#define RCR	iport+0x2
#define TCR1	iport+0x3
#define TCR2	iport+0x4
#define BLDR	iport+0x5
#define BHDR	iport+0x6
#define TSR	iport+0x5
#define RSR	iport+0x6
#define IIR	iport+0x7
#define TRUE	1
#define FALSE	0

typedef struct _uioctl {
	int inlen;
	int outlen;
	void * data;
} uioctl_t;

